*-- FP2Cust1.prg 
*-- Print a Customer List
*--
*-- Demonstrates the following tips & tricks
*--
*-- Suppress the "Printing..." dialog
*-- Is the user previewing or printing?
*-- Did the user cancel printing?

* Open File
SELECT 0
USE customer
SET ORDER TO comp_name
GOTO TOP

* Initialize variables
PRIVATE lPrinted
lPrinted = .f.

* Preview the report
REPORT FORM fp2cust1 PREVIEW

* Did the user print?
IF lPrinted
  WAIT WINDOW 'The report has successfully PRINTED! Press any key to continue.'
ELSE
  WAIT WINDOW 'The report has NOT successfully printed! Press any key to continue.'
ENDIF

* Print the report
REPORT FORM fp2cust1 NOCONSOLE TO PRINTER PROMPT

* Did the user print?
IF lPrinted
  WAIT WINDOW 'The report has successfully PRINTED! Press any key to continue.'
ELSE
  WAIT WINDOW 'The report has NOT successfully printed! Press any key to continue.'
ENDIF

* Close file
USE

*****************
FUNCTION Suppress
*****************
* Suppresses the "Printing..." dialog
IF WEXIST('Printing...')
  MOVE WINDOW 'Printing...' TO -1000, -1000
ENDIF
RETURN ''

****************
FUNCTION Printed
****************
* Update lPrinted flag
IF WEXIST('Printing...')
  lPrinted = .t.
ENDIF
RETURN ''

 