*-- FP2Cust3.prg 
*-- Print a Customer List
*--
*-- Demonstrates the following tips & tricks
*--
*-- Supress the "Printing..." dialog
*-- Chain several reports together

* Open File
SELECT 0
USE customer
SET ORDER TO comp_name
GOTO TOP

* Initialize variables
PRIVATE nOffset
nOffset = 0

* Prompt for the printer
=SYS(1037)

* Print the reports
* FYI - I'm printing the same report twice,
*       but you can still get the right idea.
*       The second report will print with the 
*       page numbers continuing from the first
*       report.
REPORT FORM fp2cust3 NOCONSOLE TO PRINTER 
nOffset = nOffset + _PAGENO
REPORT FORM fp2cust3 NOCONSOLE TO PRINTER 
nOffset = nOffset + _PAGENO

* Close file
USE

*****************
FUNCTION Suppress
*****************
* Suppresses the "Printing..." dialog
IF WEXIST('Printing...')
  MOVE WINDOW 'Printing...' TO -1000, -1000
ENDIF
RETURN ''

