*-- VFPCust1.prg 
*-- Print a Customer List
*--
*-- Demonstrates the following tips & tricks
*--
*-- Suppress the "Printing..." dialog
*-- Prompt for printer from preview
*-- Is the user previewing or printing?
*-- Did the user cancel printing?

* Initialize variables
PRIVATE lPrinted
lPrinted = .f.

* Preview/Print the report
REPORT FORM vfpcust1 TO PRINTER PROMPT PREVIEW

* Did the user print?
IF lPrinted
  WAIT WINDOW 'The report has successfully PRINTED! Press any key to continue.'
ELSE
  WAIT WINDOW 'The report has NOT successfully printed! Press any key to continue.'
ENDIF

******************
PROCEDURE Suppress
******************
* Suppresses the "Printing..." dialog
IF WEXIST('Printing...')
  MOVE WINDOW 'Printing...' TO -1000, -1000
ENDIF
RETURN

*****************
PROCEDURE Printed
*****************
* Update lPrinted flag
IF WEXIST('Printing...')
  lPrinted = .t.
ENDIF
RETURN

 