* Open the CUSTOMER table in the TESTDATA database.

open database _samples + 'data\testdata'
use customer

* Load an HTML template to output company and contact name in a table.

lcStr = filetostr('template.html')

* Create the textmerge processor object and process the HTML template.

oOutput  = newobject('SFTextMergeProcessor', 'SFTextMerge')
lcOutput = oOutput.Output(lcStr)

* If everything worked, create the HTML file and display it.

if empty(oOutput.cErrorMessage)
	strtofile(lcOutput, 'test.html')
	declare integer ShellExecute in SHELL32.DLL ;
		integer nWinHandle, ;
		string cOperation, ;
		string cFileName, ;
		string cParameters, ;
		string cDirectory, ;
		integer nShowWindow
	ShellExecute(0, 'Open', 'test.html', '', '', 1)

* Display the error that occurred.

else
	messagebox(oOutput.cErrorMessage)
endif empty(oOutput.cErrorMessage)
return
